# QVM: Quaternions, Vectors, Matrices

### scalar_cast(mat)

#include <boost/qvm/mat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if: is_mat<A>::value
            template <class Scalar,class A>
            -unspecified-return_type- scalar_cast( A const & a );
        }
    }

#### Returns:

A read-only view proxy of a that looks like a matrix of the same dimensions as a, but with scalar_type Scalar and elements constructed from the corresponding elements of a.

See also: boost/qvm/mat_operations.hpp